| Flutter Impeller |

Public Member Functions | Protected Member Functions | List of all members
impeller::FillPathGeometry Class Referencefinal

A Geometry that produces fillable vertices from a |DlPath| object using the |FillPathSourceGeometry| base class and the inherent ability for a |DlPath| object to perform path iteration. More...

`#include <fill_path_geometry.h>`

Inheritance diagram for impeller::FillPathGeometry:

## Public Member Functions
| FillPathGeometry (const flutter::DlPath &path, std::optional< Rect > inner_rect=std::nullopt)
Public Member Functions inherited from impeller::FillPathSourceGeometry
| ~FillPathSourceGeometry () override
bool | CoversArea (const Matrix &transform, const Rect &rect) const override
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
Public Member Functions inherited from impeller::Geometry
virtual | ~Geometry ()
virtual bool | IsAxisAlignedRect () const
virtual bool | CanApplyMaskFilter () const
virtual Scalar | ComputeAlphaCoverage (const Matrix &transform) const

## Protected Member Functions
const PathSource & | GetSource () const override
Protected Member Functions inherited from impeller::FillPathSourceGeometry
| FillPathSourceGeometry (std::optional< Rect > inner_rect)

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::unique_ptr< Geometry > | MakeFillPath (const flutter::DlPath &path, std::optional< Rect > inner_rect=std::nullopt)
static std::unique_ptr< Geometry > | MakeStrokePath (const flutter::DlPath &path, const StrokeParameters &stroke={})
static std::unique_ptr< Geometry > | MakeCover ()
static std::unique_ptr< Geometry > | MakeRect (const Rect &rect)
static std::unique_ptr< Geometry > | MakeOval (const Rect &rect)
static std::unique_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::unique_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::unique_ptr< Geometry > | MakeFilledArc (const Rect &oval_bounds, Degrees start, Degrees sweep, bool include_center)
static std::unique_ptr< Geometry > | MakeStrokedArc (const Rect &oval_bounds, Degrees start, Degrees sweep, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::unique_ptr< Geometry > | MakeRoundSuperellipse (const Rect &rect, Scalar corner_radius)
static Scalar | ComputeStrokeAlphaCoverage (const Matrix &entity, Scalar stroke_width)
| Compute an alpha value to simulate lower coverage of fractional pixel strokes. More...
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)

## Detailed Description

A Geometry that produces fillable vertices from a |DlPath| object using the |FillPathSourceGeometry| base class and the inherent ability for a |DlPath| object to perform path iteration.

Definition at line 55 of file fill_path_geometry.h.

## Constructor & Destructor Documentation

## ◆ FillPathGeometry()

impeller::FillPathGeometry::FillPathGeometry | ( | const flutter::DlPath & | path,
|  | std::optional< Rect > | inner_rect = `std::nullopt`
| ) |  |
| explicit

Definition at line 93 of file fill_path_geometry.cc.

95 : FillPathSourceGeometry(inner_rect), path_(path) {}
impeller::FillPathSourceGeometry::FillPathSourceGeometry
FillPathSourceGeometry(std::optional< Rect > inner_rect)
Definition: fill_path_geometry.cc:15

## Member Function Documentation

## ◆ GetSource()

const PathSource & impeller::FillPathGeometry::GetSource | ( |  | ) | const
| overrideprotectedvirtual

The PathSource object that will be iterated to produce the filled vertices.

Implements impeller::FillPathSourceGeometry.

Definition at line 97 of file fill_path_geometry.cc.

97 {
98 return path_;
99 }

The documentation for this class was generated from the following files:

- impeller/entity/geometry/fill_path_geometry.h
- impeller/entity/geometry/fill_path_geometry.cc